/* Common header file for model C code function and cvodesIQRinterface.c */

/* ParamData (contains pointer to parameter values passed to integrator) */
typedef struct {
  double *parametervector;
} ParamData;

/* CVODES-IQR Tools interface related flags */
#define DOFLAG_DDT               0          /* Returns derivatives for integration */
#define DOFLAG_VARREAC           1          /* Returns variable and reaction values for given time and states */
#define DOFLAG_EVENTS            2          /* Evaluates event triggers / root finding */
#define DOFLAG_EVENTASSIGN       3          /* Determines event assignments */
#define DOFLAG_NRCOMPONENTS      4          /* Return number of model components */
#define DOFLAG_JACOBIAN          5          /* Return Jacobian */
#define DOFLAG_SENSITIVITY       6          /* Return Sensitivity equations */
#define DOFLAG_OUTSENS           7          /* Return Sensitivity Equations for OUTPUTs */
#define DOFLAG_EVENTASSIGN_SENS  8          /* Determines event assignments for sensitivity states */
